Skip to main content
GET
Find a contact
Search for a contact by email or userId. Only one parameter is allowed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

email
string

Email address (URI-encoded)

userId
string

Response

List of contacts (or an empty array if no contact was found). Contact objects will include any custom properties.

id
string

The contact's Loops ID.

Example:

"clh3k9m2p4q6r8s0t2v4x6z8"

email
string

The contact's email address.

Example:

"alex@company.com"

firstName
string | null

The contact's first name.

Example:

"Alex"

lastName
string | null

The contact's last name.

Example:

"Rivera"

source
string

The source the contact was created from.

Example:

"API"

subscribed
boolean

Whether the contact will receive campaign and workflow emails.

Example:

true

userGroup
string

The contact's user group.

Example:

"customers"

userId
string | null

The contact's unique user ID.

Example:

"usr_7f8e9d0c1b2a"

mailingLists
object

Mailing lists the contact is subscribed to, represented by key-value pairs of mailing list IDs and true.

Example:
optInStatus
enum<string> | null

Double opt-in status. This will be null for contacts unless they are created via a form while double opt-in is enabled.

Available options:
accepted,
pending,
rejected,
null
Example:

"accepted"

Last modified on July 17, 2026